=head1 NAME

Gtk2::Clipboard

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Clipboard


=head1 METHODS

=head2 $clipboard-E<gt>B<set_can_store> (...)

=over

=over

=item * ... (list) of Gtk2::TargetEntry's

=back



Since: gtk+ 2.6

=back

=head2 $clipboard-E<gt>B<clear> 

=over

=back

=head2 display = $clipboard-E<gt>B<get_display> 

=over

Since: gtk+ 2.2

=back

=head2 clipboard = Gtk2::Clipboard-E<gt>B<get_for_display> ($display, $selection)

=over

=over

=item * $display (Gtk2::Gdk::Display) 

=item * $selection (Gtk2::Gdk::Atom) 

=back

Since: gtk+ 2.2

=back

=head2 clipboard = Gtk2::Clipboard-E<gt>B<get> ($selection)

=over

=over

=item * $selection (Gtk2::Gdk::Atom) 

=back

=back

=head2 $clipboard-E<gt>B<set_image> ($pixbuf)

=over

=over

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=back

Since: gtk+ 2.6

=back

=head2 object = $clipboard-E<gt>B<get_owner> 

=over

=back

=head2 $clipboard-E<gt>B<request_contents> ($target, $callback, $user_data=undef)

=over

=over

=item * $target (Gtk2::Gdk::Atom) 

=item * $callback (scalar) 

=item * $user_data (scalar) 

=back

=back

=head2 $clipboard-E<gt>B<request_image> ($callback, $user_data=undef)

=over

=over

=item * $callback (scalar) 

=item * $user_data (scalar) 

=back

Since: gtk+ 2.6

=back

=head2 $clipboard-E<gt>B<request_rich_text> ($buffer, $callback, $user_data=undef)

=over

=over

=item * $buffer (Gtk2::TextBuffer) 

=item * $callback (scalar) 

=item * $user_data (scalar) 

=back

Since: gtk+ 2.10

=back

=head2 $clipboard-E<gt>B<request_targets> ($callback, $user_data=undef)

=over

=over

=item * $callback (scalar) 

=item * $user_data (scalar) 

=back

Since: gtk+ 2.4

=back

=head2 $clipboard-E<gt>B<request_text> ($callback, $user_data=undef)

=over

=over

=item * $callback (scalar) 

=item * $user_data (scalar) 

=back

=back

=head2 $clipboard-E<gt>B<store> 

=over

Since: gtk+ 2.6

=back

=head2 $clipboard-E<gt>B<set_text> ($text)

=over

=over

=item * $text (string) 

=back

=back

=head2 selectiondata or undef = $clipboard-E<gt>B<wait_for_contents> ($target)

=over

=over

=item * $target (Gtk2::Gdk::Atom) 

=back

=back

=head2 pixbuf or undef = $clipboard-E<gt>B<wait_for_image> 

=over

Since: gtk+ 2.6

=back

=head2 list = $clipboard-E<gt>B<wait_for_rich_text> ($buffer)

=over

=over

=item * $buffer (Gtk2::TextBuffer) 

=back

Since: gtk+ 2.10

=back

=head2 list = $clipboard-E<gt>B<wait_for_targets> 

=over

Returns a list of GdkAtom's.

Since: gtk+ 2.4

=back

=head2 string = $clipboard-E<gt>B<wait_for_text> 

=over

=back

=head2 boolean = $clipboard-E<gt>B<wait_is_image_available> 

=over

Since: gtk+ 2.6

=back

=head2 boolean = $clipboard-E<gt>B<wait_is_rich_text_available> ($buffer)

=over

=over

=item * $buffer (Gtk2::TextBuffer) 

=back

Since: gtk+ 2.10

=back

=head2 boolean = $clipboard-E<gt>B<wait_is_target_available> ($target)

=over

=over

=item * $target (Gtk2::Gdk::Atom) 

=back

Since: gtk+ 2.6

=back

=head2 boolean = $clipboard-E<gt>B<wait_is_text_available> 

=over

=back

=head2 boolean = $clipboard-E<gt>B<set_with_data> ($get_func, $clear_func, $user_data, ...)

=over

=over

=item * $get_func (scalar) 

=item * $clear_func (scalar) 

=item * $user_data (scalar) 

=item * ... (list) of Gtk2::TargetEntry's

=back



=back

=head2 boolean = $clipboard-E<gt>B<set_with_owner> ($get_func, $clear_func, $owner, ...)

=over

=over

=item * $get_func (scalar) 

=item * $clear_func (scalar) 

=item * $owner (Glib::Object) 

=item * ... (list) of Gtk2::TargetEntry's

=back



=back


=head1 SIGNALS

=over

=item B<owner-change> (Gtk2::Clipboard, Gtk2::Gdk::Event)

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

